Index: final-system/alpha-chapter.xml
===================================================================
--- final-system/alpha-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/alpha-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/common/perl.xml
===================================================================
--- final-system/common/perl.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/common/perl.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -38,5 +38,15 @@
     if you run that:</para>
 
-<screen os="a01"><userinput>echo "127.0.0.1 localhost $(hostname)" &gt; /etc/hosts</userinput></screen>
+<screen os="a01"><userinput>echo "127.0.0.1 localhost clfs" &gt; /etc/hosts</userinput></screen>
+
+    <para os="a02">We also have to enable the loopback interface, this
+    will prevent some perl networking testsuite failures:</para>
+
+<screen os="a03"><userinput>ip link set lo up</userinput></screen>
+
+    <para os="a04">We also have to set the hostname for some of the
+    test:</para>
+
+<screen os="a05"><userinput>hostname clfs</userinput></screen>
 
     <para os="a">To have full control over the way Perl is set up, you can
Index: final-system/mips-chapter.xml
===================================================================
--- final-system/mips-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/mips-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/mips64-64-chapter.xml
===================================================================
--- final-system/mips64-64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/mips64-64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/mips64-chapter.xml
===================================================================
--- final-system/mips64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/mips64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -39,4 +39,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-n32.xml"/>
@@ -62,7 +66,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
@@ -73,5 +74,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/less.xml"/>
Index: final-system/multilib/perl-64bit.xml
===================================================================
--- final-system/multilib/perl-64bit.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/multilib/perl-64bit.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -53,4 +53,20 @@
     href="../common/perl.xml"
     xpointer="xpointer(//*[@os='a01'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a02'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a03'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a04'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/multilib/perl-n32.xml
===================================================================
--- final-system/multilib/perl-n32.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/multilib/perl-n32.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -56,4 +56,20 @@
     href="../common/perl.xml"
     xpointer="xpointer(//*[@os='a01'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a02'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a03'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a04'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/multilib/perl.xml
===================================================================
--- final-system/multilib/perl.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/multilib/perl.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -38,4 +38,20 @@
     href="../common/perl.xml"
     xpointer="xpointer(//*[@os='a01'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a02'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a03'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a04'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/perl.xml"
+    xpointer="xpointer(//*[@os='a05'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: final-system/ppc-chapter.xml
===================================================================
--- final-system/ppc-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/ppc-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/ppc64-chapter.xml
===================================================================
--- final-system/ppc64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/ppc64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -35,4 +35,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
@@ -52,6 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/less.xml"/>
Index: final-system/sparc-chapter.xml
===================================================================
--- final-system/sparc-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/sparc-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/sparc64-64-chapter.xml
===================================================================
--- final-system/sparc64-64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/sparc64-64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -29,4 +29,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -40,5 +42,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -47,5 +48,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/sparc64-chapter.xml
===================================================================
--- final-system/sparc64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/sparc64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -35,4 +35,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
@@ -52,6 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/less.xml"/>
Index: final-system/x86-chapter.xml
===================================================================
--- final-system/x86-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/x86-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -30,4 +30,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -41,5 +43,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
@@ -48,5 +49,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/x86_64-64-chapter.xml
===================================================================
--- final-system/x86_64-64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/x86_64-64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -29,4 +29,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/libtool.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/readline.xml"/>
@@ -40,5 +42,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/gettext.xml"/>
@@ -47,5 +48,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/less.xml"/>
Index: final-system/x86_64-chapter.xml
===================================================================
--- final-system/x86_64-chapter.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ final-system/x86_64-chapter.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -35,4 +35,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/libtool-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
@@ -52,6 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/file-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/flex-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/less.xml"/>
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision c42e00c9e3ff6d687f0dd36ba53569d98d891162)
+++ introduction/common/changelog.xml	(revision 336f7a1a35ccda4ade2ae51a41e13cb6188caa60)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>September 8, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Fixed Perl Testsuite Network tests.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 7, 2006</para>
       <itemizedlist>