Index: BOOK/final-system/common/libee.xml
===================================================================
--- BOOK/final-system/common/libee.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/final-system/common/libee.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -32,5 +32,5 @@
 
 <note os="n1">
-    <para>Libee will fail to compile if running multiple jobs with make.</para>
+    <para>Libee will fail to compile if using multiple jobs with make. Append "-j 1" to the following make command:</para>
 </note>
 
Index: BOOK/final-system/multilib/libee-64bit.xml
===================================================================
--- BOOK/final-system/multilib/libee-64bit.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/final-system/multilib/libee-64bit.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -36,4 +36,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/libee.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/libee.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
Index: BOOK/final-system/multilib/libee-n32.xml
===================================================================
--- BOOK/final-system/multilib/libee-n32.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/final-system/multilib/libee-n32.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -37,4 +37,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/libee.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/libee.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
Index: BOOK/final-system/multilib/libee.xml
===================================================================
--- BOOK/final-system/multilib/libee.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/final-system/multilib/libee.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -36,4 +36,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/libee.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/libee.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/general.ent	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -3,5 +3,5 @@
 <!ENTITY month "08"> <!-- Use two digits -->
 <!ENTITY month_name "August">
-<!ENTITY day "25"> <!-- Use two digits -->
+<!ENTITY day "26"> <!-- Use two digits -->
 <!ENTITY year "2012"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/introduction/common/changelog.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -37,8 +37,11 @@
 -->
     <listitem>
-      <para>August 25, 2012</para>
+      <para>August 26, 2012</para>
       <itemizedlist>
         <listitem>
            <para>[William Harrington] - Correct IPutils build so that rdisc is created and remove multiple rdisc entries for non multilib books and add rdisc to multilib books.</para>
+        </listitem>
+        <listitem>
+           <para>[William Harrington] - Add the note for libee in all books and clarify the issue with additional text.</para>
         </listitem>
       </itemizedlist>
Index: BOOK/introduction/mips64/changelog.xml
===================================================================
--- BOOK/introduction/mips64/changelog.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/introduction/mips64/changelog.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -34,5 +34,5 @@
 -->
     <listitem>
-      <para>25 August 2012</para>
+      <para>26 August 2012</para>
       <itemizedlist>
         <listitem>
Index: BOOK/introduction/ppc64/changelog.xml
===================================================================
--- BOOK/introduction/ppc64/changelog.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/introduction/ppc64/changelog.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -34,5 +34,5 @@
 -->
     <listitem>
-      <para>25 August 2012</para>
+      <para>26 August 2012</para>
       <itemizedlist>
         <listitem>
Index: BOOK/introduction/sparc64/changelog.xml
===================================================================
--- BOOK/introduction/sparc64/changelog.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/introduction/sparc64/changelog.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -34,5 +34,5 @@
 -->
     <listitem>
-      <para>25 August 2012</para>
+      <para>26 August 2012</para>
       <itemizedlist>
         <listitem>
Index: BOOK/introduction/x86_64/changelog.xml
===================================================================
--- BOOK/introduction/x86_64/changelog.xml	(revision 954ff38b52bd1668c73804bd1976ee6034363bc7)
+++ BOOK/introduction/x86_64/changelog.xml	(revision 0344bf169c4f0e07bb591f385a07f1453ade937f)
@@ -34,5 +34,5 @@
 -->
     <listitem>
-      <para>25 August 2012</para>
+      <para>26 August 2012</para>
       <itemizedlist>
         <listitem>