Index: BOOK/beyond-intro/common/introduction.xml
===================================================================
--- BOOK/beyond-intro/common/introduction.xml	(revision 6280230f00d7e279ed420e4d7ce8fb5e6e12f15d)
+++ BOOK/beyond-intro/common/introduction.xml	(revision 364d698c9ea8105d4b2897ca823fd683db775efe)
@@ -16,5 +16,5 @@
   <para os="b">In this section, we explain how to compile additional packages
   for use with the system. We will also cover how to configure some of the
-  Busybox Utilities.</para>
+  BusyBox Utilities.</para>
 
 </sect1>
Index: BOOK/bootscripts/common/mdev.xml
===================================================================
--- BOOK/bootscripts/common/mdev.xml	(revision 6280230f00d7e279ed420e4d7ce8fb5e6e12f15d)
+++ BOOK/bootscripts/common/mdev.xml	(revision 364d698c9ea8105d4b2897ca823fd683db775efe)
@@ -18,5 +18,5 @@
     <title/>
 
-    <para>Is a Busybox replacement of udev. With a different rule
+    <para>Is a BusyBox replacement of udev. With a different rule
     base.</para>
 
Index: BOOK/final-system/common/busybox.xml
===================================================================
--- BOOK/final-system/common/busybox.xml	(revision 6280230f00d7e279ed420e4d7ce8fb5e6e12f15d)
+++ BOOK/final-system/common/busybox.xml	(revision 364d698c9ea8105d4b2897ca823fd683db775efe)
@@ -9,8 +9,8 @@
   <?dbhtml filename="busybox.html"?>
 
-  <title>Busybox-&busybox-version;</title>
+  <title>BusyBox-&busybox-version;</title>
 
   <indexterm zone="ch-system-busybox">
-    <primary sortas="a-Busybox">Busybox</primary>
+    <primary sortas="a-BusyBox">BusyBox</primary>
   </indexterm>
 
@@ -29,9 +29,9 @@
 
   <sect2 role="installation">
-    <title>Installation of Busybox</title>
+    <title>Installation of BusyBox</title>
 
 <!-- Version 1.18.4 does not require any "fixes" patch, none exists, yet
     <para os="p1">The following patch contains a number of fixes to version
-    &busybox-version; by the Busybox developers:</para>
+    &busybox-version; by the BusyBox developers:</para>
 
 <screen os="p2"><userinput>patch -Np1 -i ../&busybox-fixes-patch;</userinput></screen>
@@ -42,5 +42,5 @@
 <screen os="b"><userinput>make distclean</userinput></screen>
 
-    <para os="c">The following patch contains a default configuration for busybox:</para>
+    <para os="c">The following patch contains a default configuration for BusyBox:</para>
 
 <screen os="d"><userinput>patch -Np1 -i ../&busybox-config-patch;
@@ -48,5 +48,5 @@
 
     <note os="e">
-      <para>Currently we are just telling Busybox to use a generic
+      <para>Currently we are just telling BusyBox to use a generic
       configuration. For those for more adventurous, you can use
       <command>make menuconfig</command>, and create a custom or modified
@@ -77,5 +77,5 @@
 
   <sect2 id="contents-busybox" role="content">
-    <title>Contents of Busybox</title>
+    <title>Contents of BusyBox</title>
 
     <segmentedlist>
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 6280230f00d7e279ed420e4d7ce8fb5e6e12f15d)
+++ BOOK/materials/common/packages.xml	(revision 364d698c9ea8105d4b2897ca823fd683db775efe)
@@ -25,5 +25,5 @@
 
     <varlistentry>
-      <term>Busybox (&busybox-version;) - <token>&busybox-size;</token>:</term>
+      <term>BusyBox (&busybox-version;) - <token>&busybox-size;</token>:</term>
       <listitem>
         <para>Home page: <ulink url="&busybox-home;"/></para>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 6280230f00d7e279ed420e4d7ce8fb5e6e12f15d)
+++ BOOK/materials/common/patches.xml	(revision 364d698c9ea8105d4b2897ca823fd683db775efe)
@@ -20,5 +20,5 @@
 
     <varlistentry>
-      <term>Busybox Config Patch - <token>&busybox-config-patch-size;</token>:</term>
+      <term>BusyBox Config Patch - <token>&busybox-config-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink
@@ -30,5 +30,5 @@
 <!--
     <varlistentry>
-      <term>Busybox Fixes Patch - <token>&busybox-fixes-patch-size;</token>:</term>
+      <term>BusyBox Fixes Patch - <token>&busybox-fixes-patch-size;</token>:</term>
       <listitem>
         <para>Download: <ulink