Index: BOOK/final-system/common/udev.xml
===================================================================
--- BOOK/final-system/common/udev.xml	(revision 129802da85684cc2b3d78ccfe997cb0aa5f83f53)
+++ BOOK/final-system/common/udev.xml	(revision 373b6ea0d35da92c81c315bf50b7a70b2f4a7f06)
@@ -31,5 +31,5 @@
   --exec-prefix="" --sysconfdir=/etc \
   --libexecdir=/lib/udev --libdir=/usr/lib \
-  --disable-extras</userinput></screen>
+  --disable-extras --disable-introspection</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 129802da85684cc2b3d78ccfe997cb0aa5f83f53)
+++ BOOK/introduction/common/changelog.xml	(revision 373b6ea0d35da92c81c315bf50b7a70b2f4a7f06)
@@ -57,4 +57,19 @@
           <para>[jciccone] - Stopped Cloog-PPL from setting LD_LIBRARY_PATH to
                 fix segfault issues.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] Updated Module-init-tools to 3.11.1.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] Updated Psmisc to 22.9.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] Updated Rsyslog to 4.4.2.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] Updated Dhcpcd to 5.1.4.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] Updated Udev to 149.</para>
         </listitem>
       </itemizedlist>
Index: BOOK/network/common/dhcpcd.xml
===================================================================
--- BOOK/network/common/dhcpcd.xml	(revision 129802da85684cc2b3d78ccfe997cb0aa5f83f53)
+++ BOOK/network/common/dhcpcd.xml	(revision 373b6ea0d35da92c81c315bf50b7a70b2f4a7f06)
@@ -31,13 +31,16 @@
     <para os="b">Prepare DHCPCD for compilation:</para>
 
-<screen os="c"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd</userinput></screen>
+<screen os="c"><userinput>./configure --prefix=/usr --sbindir=/sbin \
+    --sysconfdir=/etc --dbdir=/var/lib/dhcpcd --libexecdir=/usr/lib/dhcpcd</userinput></screen>
 
-    <para os="d">This package does not come with a test suite.</para>
+    <para os="d">Compile the package:</para>
 
-    <para os="e">Install the package:</para>
+<screen os="e"><userinput>make</userinput></screen>
 
-<screen os="f"><userinput>make PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd install</userinput></screen>
+    <para os="f">This package does not come with a test suite.</para>
+
+    <para os="g">Install the package:</para>
+
+<screen os="h"><userinput>make install</userinput></screen>
 
   </sect2>
Index: BOOK/network/multilib/dhcpcd.xml
===================================================================
--- BOOK/network/multilib/dhcpcd.xml	(revision 129802da85684cc2b3d78ccfe997cb0aa5f83f53)
+++ BOOK/network/multilib/dhcpcd.xml	(revision 373b6ea0d35da92c81c315bf50b7a70b2f4a7f06)
@@ -30,6 +30,6 @@
     xpointer="xpointer(//*[@os='b'])"/>
 
-<screen os="c"><userinput>make CC="gcc ${BUILD64}" PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd</userinput></screen>
+<screen os="c"><userinput>CC="gcc ${BUILD64}" ./configure --prefix=/usr --sbindir=/sbin \
+    --sysconfdir=/etc --dbdir=/var/lib/dhcpcd --libexecdir=/usr/lib/dhcpcd</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -41,6 +41,15 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="f"><userinput>make CC="gcc ${BUILD64}" PREFIX=/usr BINDIR=/sbin SYSCONFDIR=/etc \
-    DBDIR=/var/lib/dhcpcd LIBEXECDIR=/usr/lib/dhcpcd install</userinput></screen>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/dhcpcd.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/dhcpcd.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/dhcpcd.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
 
   </sect2>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 129802da85684cc2b3d78ccfe997cb0aa5f83f53)
+++ BOOK/packages.ent	(revision 373b6ea0d35da92c81c315bf50b7a70b2f4a7f06)
@@ -91,8 +91,8 @@
 <!ENTITY dejagnu-home "&gnu-software;dejagnu">
 
-<!ENTITY dhcpcd-version "5.0.7">
-<!ENTITY dhcpcd-size "61 KB">
+<!ENTITY dhcpcd-version "5.1.4">
+<!ENTITY dhcpcd-size "64 KB">
 <!ENTITY dhcpcd-url "http://roy.marples.name/downloads/dhcpcd/dhcpcd-&dhcpcd-version;.tar.bz2">
-<!ENTITY dhcpcd-md5 "1c85790576deb6106879430b24e1fa9c">
+<!ENTITY dhcpcd-md5 "d18afc66efbea9a28e541e9b10fd284f">
 <!ENTITY dhcpcd-home "http://roy.marples.name/projects/dhcpcd">
 
@@ -291,8 +291,8 @@
 <!ENTITY man-pages-home "http://www.win.tue.nl/~aeb/linux/man">
 
-<!ENTITY module-init-tools-version "3.10">
-<!ENTITY module-init-tools-size "864 KB">
+<!ENTITY module-init-tools-version "3.11.1">
+<!ENTITY module-init-tools-size "200 KB">
 <!ENTITY module-init-tools-url "http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-&module-init-tools-version;.tar.bz2">
-<!ENTITY module-init-tools-md5 "fcde0344ad07c4ae2ae6b40918fd092d">
+<!ENTITY module-init-tools-md5 "28dfcb9e24cdbeb12b99ac1eb8af7dea">
 <!ENTITY module-init-tools-home "http://www.kerneltools.org/KernelTools.org">
 
@@ -346,8 +346,8 @@
 <!ENTITY procps-home "http://procps.sourceforge.net">
 
-<!ENTITY psmisc-version "22.8">
-<!ENTITY psmisc-size "304 KB">
+<!ENTITY psmisc-version "22.9">
+<!ENTITY psmisc-size "312 KB">
 <!ENTITY psmisc-url "&sourceforge;psmisc/psmisc-&psmisc-version;.tar.gz">
-<!ENTITY psmisc-md5 "32c493bb484ce605a1cabba1aa084bca">
+<!ENTITY psmisc-md5 "c242530de46b951ab10a2237a6048a9c">
 <!ENTITY psmisc-home "http://psmisc.sourceforge.net">
 
@@ -359,8 +359,8 @@
 <!ENTITY readline-home "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html">
 
-<!ENTITY rsyslog-version "4.4.1">
-<!ENTITY rsyslog-size "1,951 KB">
+<!ENTITY rsyslog-version "4.4.2">
+<!ENTITY rsyslog-size "1,956 KB">
 <!ENTITY rsyslog-url "http://download.rsyslog.com/rsyslog/rsyslog-&rsyslog-version;.tar.gz">
-<!ENTITY rsyslog-md5 "2f298222850a098834bbf8c651a9963c">
+<!ENTITY rsyslog-md5 "a8ada67b6cd5c00fbeb3a4b687b17359">
 <!ENTITY rsyslog-home "http://www.rsyslog.com/">
 
@@ -408,8 +408,8 @@
 <!ENTITY texinfo-home "&gnu-software;texinfo">
 
-<!ENTITY udev-version "146">
-<!ENTITY udev-size "518 KB">
+<!ENTITY udev-version "149">
+<!ENTITY udev-size "532 KB">
 <!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
-<!ENTITY udev-md5 "b2a8acefda4fa8a70d45642035abd718">
+<!ENTITY udev-md5 "b218bd15939e8afc6368e1907a48bb26">
 <!ENTITY udev-home "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html">
 