Index: BOOK/final-system/common/gzip.xml
===================================================================
--- BOOK/final-system/common/gzip.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/final-system/common/gzip.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -27,5 +27,5 @@
 
     <para os="s1">The following command renames the internal implementation of
-    futimens to gl_futimens as newer versions of Glibc provide an incompatible
+    futimens to gl_futimens as newer versions of EGLIBC provide an incompatible
     version:</para>
 
Index: BOOK/final-system/common/linux-headers.xml
===================================================================
--- BOOK/final-system/common/linux-headers.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/final-system/common/linux-headers.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -33,5 +33,6 @@
 make headers_check
 make INSTALL_HDR_PATH=dest headers_install
-cp -rv dest/include/* /usr/include</userinput></screen>
+cp -rv dest/include/* /usr/include
+find /usr/include -name .install -or -name ..install.cmd | xargs rm -fv</userinput></screen>
 
     <variablelist os="d">
Index: BOOK/final-system/common/module-init-tools.xml
===================================================================
--- BOOK/final-system/common/module-init-tools.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/final-system/common/module-init-tools.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -88,7 +88,6 @@
 
       <seglistitem>
-        <seg>depmod, generate-modprobe.conf, insmod, insmod.static,
-        lsmod (link to insmod), modinfo, modprobe (link to insmod), and
-        rmmod (link to insmod)</seg>
+        <seg>depmod, insmod, insmod.static, lsmod (link to insmod), modinfo,
+        modprobe (link to insmod), and rmmod (link to insmod)</seg>
       </seglistitem>
     </segmentedlist>
@@ -108,15 +107,4 @@
           <indexterm zone="ch-system-module-init-tools depmod">
             <primary sortas="b-depmod">depmod</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="generate-modprobe.conf">
-        <term><command>generate-modprobe.conf</command></term>
-        <listitem>
-          <para>Creates a modprobe.conf file from an existing 2.2 or 2.4
-          module setup</para>
-          <indexterm zone="ch-system-module-init-tools generate-modprobe.conf">
-            <primary sortas="b-generate-modprobe.conf">generate-modprobe.conf</primary>
           </indexterm>
         </listitem>
Index: BOOK/final-system/common/ppl.xml
===================================================================
--- BOOK/final-system/common/ppl.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/final-system/common/ppl.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -57,8 +57,10 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
 
       <seglistitem>
-        <seg>libppl.[a,so], libppl_c.[a,so]</seg>
+        <seg>ppl-config, ppl_lcdd</seg>
+        <seg>libppl.[a,so], libppl_c.[a,so], libpwl.[a,so]</seg>
       </seglistitem>
     </segmentedlist>
@@ -68,4 +70,25 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="ppl-config">
+        <term><command>ppl-config</command></term>
+        <listitem>
+          <para>Outputs information about the PPL installation</para>
+          <indexterm zone="ch-system-ppl ppl-config">
+            <primary sortas="b-ppl-config">ppl-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ppl_lcdd">
+        <term><command>ppl_lcdd</command></term>
+        <listitem>
+          <para>Reads an H-representation of a polyhedron and generates a
+          V-representation of the same polyhedron</para>
+          <indexterm zone="ch-system-ppl ppl_lcdd">
+            <primary sortas="b-ppl_lcdd">ppl_lcdd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
 
       <varlistentry id="libppl">
@@ -79,5 +102,5 @@
       </varlistentry>
 
-	  <varlistentry id="libppl_c">
+      <varlistentry id="libppl_c">
         <term><filename class="libraryfile">libppl_c</filename></term>
         <listitem>
@@ -89,4 +112,14 @@
       </varlistentry>
 
+      <varlistentry id="libpwl">
+        <term><filename class="libraryfile">libpwl</filename></term>
+        <listitem>
+          <para>The Parma Watchdog Library</para>
+          <indexterm zone="ch-system-ppl libpwl">
+            <primary sortas="b-libpwl">libpwl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: BOOK/index.xml
===================================================================
--- BOOK/index.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/index.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -22,7 +22,4 @@
       <firstname>Ryan</firstname>
 	  <surname>Oliver</surname>
-    <author>
-      <firstname>Zack</firstname>
-      <firstname>Winkles</firstname>
     </author>
   </authorgroup>
@@ -30,5 +27,5 @@
   <copyright id="copyright">
     <year>2005&ndash;&year;</year>
-    <holder>Joe Ciccone, Jim Gifford, Ryan Oliver &amp; Zack Winkles</holder>
+    <holder>Joe Ciccone, Jim Gifford &amp; Ryan Oliver</holder>
   </copyright>
 
Index: BOOK/introduction/common/acknowledgements.xml
===================================================================
--- BOOK/introduction/common/acknowledgements.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/introduction/common/acknowledgements.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -60,4 +60,7 @@
       <para>Chris Staub - x86 builds. Leader of Quality Control.</para>
     </listitem>
+    <listitem>
+      <para>Zack Winkles - Unstable book work.</para>
+    </listitem>
   </itemizedlist>
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/introduction/common/changelog.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -45,4 +45,13 @@
         <listitem>
           <para>[Jim] - Updated Sed to 4.2.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>July 1, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Winkie] - Clean up after the headers installation.</para>
         </listitem>
       </itemizedlist>
Index: BOOK/temp-system/common/bash.xml
===================================================================
--- BOOK/temp-system/common/bash.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/temp-system/common/bash.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -31,11 +31,11 @@
     xpointer="xpointer(//*[@os='p2'])"/>
 
-    <para os="t1">When bash is cross-compiled, it cannot test for the presence
-    of named pipes, amoung other things. If you used <command>su</command> to
+    <para os="t1">When Bash is cross-compiled, it cannot test for the presence
+    of named pipes, among other things. If you used <command>su</command> to
     become an unprivileged user, this combination will cause Bash to build
     without <emphasis>process substitution</emphasis>, which will break one
-    of the c++ test scripts in <literal>glibc</literal>. The following prevents
-    future problems by skipping tests that can not run while cross-compiling
-    or that do not run properly:</para>
+    of the C++ test scripts in <literal>eglibc</literal>. The following prevents
+    future problems by skipping the check for named pipes, as well as other
+    tests that can not run while cross-compiling or that do not run properly:</para>
 
 <screen os="t2"><userinput>cat &gt; config.cache &lt;&lt; "EOF"
Index: BOOK/temp-system/common/bzip2.xml
===================================================================
--- BOOK/temp-system/common/bzip2.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/temp-system/common/bzip2.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -23,7 +23,7 @@
     <title>Installation of Bzip2</title>
 
-    <para os="ca">Bzip2's default Makefile target automatically runs
-    the testsuite as well. Disable the tests since they won't work on a
-    multi-architecture build:</para>
+    <para os="ca">Bzip2's default <filename>Makefile</filename> target
+    automatically runs the testsuite as well. Disable the tests since they
+    won't work on a multi-architecture build:</para>
 
 <screen os="cb"><userinput>cp -v Makefile{,.orig}
Index: BOOK/temp-system/common/coreutils.xml
===================================================================
--- BOOK/temp-system/common/coreutils.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/temp-system/common/coreutils.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -25,6 +25,6 @@
     <para os="ba">Configure can not properly determine how to get free space
     when cross-compiling - as a result, the <command>df</command> program will
-    not be built. Add the following entry to <filename>config.cache</filename>
-    to correct this:</para>
+    not be built. Add the following entries to <filename>config.cache</filename>
+    to correct this, and fix a cross-compile problem when using EGLIBC:</para>
 
 <screen os="bb"><userinput>cat &gt; config.cache &lt;&lt; EOF
Index: BOOK/temp-system/common/vim.xml
===================================================================
--- BOOK/temp-system/common/vim.xml	(revision acf32d0fed9bbdafbbb6a83d1c02c7710a2f95e0)
+++ BOOK/temp-system/common/vim.xml	(revision 392a73c769d7d1532239aae91fddf9ce68910082)
@@ -36,6 +36,7 @@
 
     <para os="c1">The <command>configure</command> script is full of logic
-    that aborts at the first sign of cross compiling. Set the cached values
-    of those tests with the following command:</para>
+    that aborts at the first sign of cross compiling. Work around this by
+    setting the cached values of several tests with the following
+    command:</para>
 
 <screen os="c2"><userinput>cat &gt; src/auto/config.cache &lt;&lt; "EOF"