Index: BOOK/cross-tools/common/binutils-32.xml
===================================================================
--- BOOK/cross-tools/common/binutils-32.xml	(revision f83fe76cbf27c32412c88a780cea68eb189c27ae)
+++ BOOK/cross-tools/common/binutils-32.xml	(revision 395af5af8fe978a285bd6de9c6397f13acd55d0b)
@@ -83,4 +83,12 @@
 
       <varlistentry os="bd4">
+        <term><parameter>--with-sysroot=${CLFS}</parameter></term>
+        <listitem>
+          <para>Tells configure to build a linker that uses ${CLFS} as its
+          root directory for its search paths.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry os="bd5">
         <term><parameter>--with-lib-path=/tools/lib</parameter></term>
         <listitem>
@@ -93,5 +101,5 @@
       </varlistentry>
 
-      <varlistentry os="bd5">
+      <varlistentry os="bd6">
         <term><parameter>--disable-nls</parameter></term>
         <listitem>
@@ -101,5 +109,5 @@
       </varlistentry>
 
-      <varlistentry os="bd6">
+      <varlistentry os="bd7">
         <term><parameter>--disable-multilib</parameter></term>
         <listitem>
Index: BOOK/cross-tools/common/binutils.xml
===================================================================
--- BOOK/cross-tools/common/binutils.xml	(revision f83fe76cbf27c32412c88a780cea68eb189c27ae)
+++ BOOK/cross-tools/common/binutils.xml	(revision 395af5af8fe978a285bd6de9c6397f13acd55d0b)
@@ -83,4 +83,12 @@
 
       <varlistentry os="bd4">
+        <term><parameter>--with-sysroot=${CLFS}</parameter></term>
+        <listitem>
+          <para>Tells configure to build a linker that uses ${CLFS} as its
+          root directory for its search paths.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry os="bd5">
         <term><parameter>--with-lib-path=/tools/lib</parameter></term>
         <listitem>
@@ -93,5 +101,5 @@
       </varlistentry>
 
-      <varlistentry os="bd5">
+      <varlistentry os="bd6">
         <term><parameter>--disable-nls</parameter></term>
         <listitem>
@@ -101,5 +109,5 @@
       </varlistentry>
 
-      <varlistentry os="bd6">
+      <varlistentry os="bd7">
         <term><parameter>--disable-multilib</parameter></term>
         <listitem>
@@ -109,5 +117,5 @@
       </varlistentry>
 
-      <varlistentry os="bd7">
+      <varlistentry os="bd8">
         <term><parameter>--enable-64-bit-bfd</parameter></term>
         <listitem>
Index: BOOK/cross-tools/common/file.xml
===================================================================
--- BOOK/cross-tools/common/file.xml	(revision f83fe76cbf27c32412c88a780cea68eb189c27ae)
+++ BOOK/cross-tools/common/file.xml	(revision 395af5af8fe978a285bd6de9c6397f13acd55d0b)
@@ -31,13 +31,4 @@
 
       <varlistentry>
-        <term><parameter>--prefix=/cross-tools</parameter></term>
-        <listitem>
-          <para>This tells the configure script to prepare to install the
-          package in the <filename class="directory">/cross-tools</filename>
-          directory.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>--disable-static</parameter></term>
         <listitem>
Index: BOOK/cross-tools/common/mpfr.xml
===================================================================
--- BOOK/cross-tools/common/mpfr.xml	(revision f83fe76cbf27c32412c88a780cea68eb189c27ae)
+++ BOOK/cross-tools/common/mpfr.xml	(revision 395af5af8fe978a285bd6de9c6397f13acd55d0b)
@@ -49,12 +49,4 @@
 
       <varlistentry>
-        <term><parameter>--enable-shared</parameter></term>
-        <listitem>
-          <para>This tells <command>configure</command> to build MPFR's
-          shared libraries.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>--with-gmp=/cross-tools</parameter></term>
         <listitem>
Index: BOOK/cross-tools/multilib/binutils.xml
===================================================================
--- BOOK/cross-tools/multilib/binutils.xml	(revision f83fe76cbf27c32412c88a780cea68eb189c27ae)
+++ BOOK/cross-tools/multilib/binutils.xml	(revision 395af5af8fe978a285bd6de9c6397f13acd55d0b)
@@ -82,5 +82,5 @@
       <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../common/binutils.xml"
-      xpointer="xpointer(//*[@os='bd7'])"/>
+      xpointer="xpointer(//*[@os='bd8'])"/>
 
     </variablelist>