Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/alpha-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/mips-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/mips64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -121,7 +121,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xml-parser-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod-n32.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/ppc-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -96,6 +96,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xml-parser-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod-64bit.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/sparc-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -96,6 +96,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod-64bit.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/x86-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -70,5 +70,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libdbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision a76c43af7b4dc66e49d70824915012974167e7f2)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 466dec4b203240e0db2892d73751c3799b25effa)
@@ -96,6 +96,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xml-parser-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libdbus-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod-64bit.xml"/>