Index: materials/alpha/patches.xml
===================================================================
--- materials/alpha/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/alpha/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;aboot/&aboot-alpha-patch;"/></para>
+        url="&patches-root;&aboot-alpha-patch;"/></para>
         <para>MD5 sum: <literal>&aboot-alpha-patch-md5;</literal></para>
       </listitem>
Index: materials/common/patches.xml
===================================================================
--- materials/common/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/common/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -23,5 +23,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bash/&bash-fixes-patch;"/></para>
+        url="&patches-root;&bash-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&bash-fixes-patch-md5;</literal></para>
       </listitem>
@@ -32,5 +32,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;binutils/&binutils-posix-patch;"/></para>
+        url="&patches-root;&binutils-posix-patch;"/></para>
         <para>MD5 sum: <literal>&binutils-posix-patch-md5;</literal></para>
       </listitem>
@@ -41,5 +41,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-docs-patch;"/></para>
+        url="&patches-root;&bzip2-docs-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-docs-patch-md5;</literal></para>
       </listitem>
@@ -50,5 +50,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-remove_tempfile-patch;"/></para>
+        url="&patches-root;&bzip2-remove_tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-remove_tempfile-patch-md5;</literal></para>
       </listitem>
@@ -59,5 +59,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bzip2/&bzip2-bzgrep-patch;"/></para>
+        url="&patches-root;&bzip2-bzgrep-patch;"/></para>
         <para>MD5 sum: <literal>&bzip2-bzgrep-patch-md5;</literal></para>
       </listitem>
@@ -68,5 +68,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;coreutils/&coreutils-suppress-patch;"/></para>
+        url="&patches-root;&coreutils-suppress-patch;"/></para>
         <para>MD5 sum: <literal>&coreutils-suppress-patch-md5;</literal></para>
       </listitem>
@@ -77,5 +77,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;expect/&expect-spawn-patch;"/></para>
+        url="&patches-root;&expect-spawn-patch;"/></para>
         <para>MD5 sum: <literal>&expect-spawn-patch-md5;</literal></para>
       </listitem>
@@ -86,5 +86,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gawk/&gawk-segfault-patch;"/></para>
+        url="&patches-root;&gawk-segfault-patch;"/></para>
         <para>MD5 sum: <literal>&gawk-segfault-patch-md5;</literal></para>
       </listitem>
@@ -95,5 +95,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-cross_search-patch;"/></para>
+        url="&patches-root;&gcc-cross_search-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-cross_search-patch-md5;</literal></para>
       </listitem>
@@ -104,5 +104,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-PR20425-patch;"/></para>
+        url="&patches-root;&gcc-PR20425-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-PR20425-patch-md5;</literal></para>
       </listitem>
@@ -113,5 +113,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-posix-patch;"/></para>
+        url="&patches-root;&gcc-posix-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-posix-patch-md5;</literal></para>
       </listitem>
@@ -122,5 +122,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-iconv_fix-patch;"/></para>
+        url="&patches-root;&glibc-iconv_fix-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-iconv_fix-patch-md5;</literal></para>
       </listitem>
@@ -131,5 +131,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-libgcc_eh-patch;"/></para>
+        url="&patches-root;&glibc-libgcc_eh-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-libgcc_eh-patch-md5;</literal></para>
       </listitem>
@@ -140,5 +140,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-localedef_segfault-patch;"/></para>
+        url="&patches-root;&glibc-localedef_segfault-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-localedef_segfault-patch-md5;</literal></para>
       </listitem>
@@ -149,5 +149,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gzip/&gzip-security_fix-patch;"/></para>
+        url="&patches-root;&gzip-security_fix-patch;"/></para>
         <para>MD5 sum: <literal>&gzip-security_fix-patch-md5;</literal></para>
       </listitem>
@@ -158,5 +158,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&inetutils-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -167,5 +167,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;inetutils/&inetutils-man_pages-patch;"/></para>
+        url="&patches-root;&inetutils-man_pages-patch;"/></para>
         <para>MD5 sum: <literal>&inetutils-man_pages-patch-md5;</literal></para>
       </listitem>
@@ -176,5 +176,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;kbd/&kbd-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&kbd-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&kbd-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -185,5 +185,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;mktemp/&mktemp-tempfile-patch;"/></para>
+        url="&patches-root;&mktemp-tempfile-patch;"/></para>
         <para>MD5 sum: <literal>&mktemp-tempfile-patch-md5;</literal></para>
       </listitem>
@@ -194,5 +194,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;perl/&perl-libc-patch;"/></para>
+        url="&patches-root;&perl-libc-patch;"/></para>
         <para>MD5 sum: <literal>&perl-libc-patch-md5;</literal></para>
       </listitem>
@@ -203,5 +203,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;readline/&readline-fixes-patch;"/></para>
+        url="&patches-root;&readline-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&readline-fixes-patch-md5;</literal></para>
       </listitem>
@@ -212,5 +212,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;sysklogd/&sysklogd-fixes-patch;"/></para>
+        url="&patches-root;&sysklogd-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&sysklogd-fixes-patch-md5;</literal></para>
       </listitem>
@@ -221,5 +221,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-gcc4_fix-patch;"/></para>
+        url="&patches-root;&tar-gcc4_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-gcc4_fix-patch-md5;</literal></para>
       </listitem>
@@ -230,5 +230,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-security_fixes-patch;"/></para>
+        url="&patches-root;&tar-security_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&tar-security_fixes-patch-md5;</literal></para>
       </listitem>
@@ -239,5 +239,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;tar/&tar-sparse_fix-patch;"/></para>
+        url="&patches-root;&tar-sparse_fix-patch;"/></para>
         <para>MD5 sum: <literal>&tar-sparse_fix-patch-md5;</literal></para>
       </listitem>
@@ -248,5 +248,5 @@
        <listitem>
         <para>Download: <ulink
-        url="&patches-root;texinfo/&texinfo-tempfile_fix-patch;"/></para>
+        url="&patches-root;&texinfo-tempfile_fix-patch;"/></para>
         <para>MD5 sum: <literal>&texinfo-tempfile_fix-patch-md5;</literal></para>
        </listitem>
@@ -256,5 +256,5 @@
       <term>Util-linux Cramfs Patch - <token>&util-linux-cramfs-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-cramfs-patch;"/></para>
+        url="&patches-root;&util-linux-cramfs-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-cramfs-patch-md5;</literal></para>
       </listitem>
@@ -264,5 +264,5 @@
       <term>Util-linux GCC 4.x Patch - <token>&util-linux-gcc4_fixes-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-gcc4_fixes-patch;"/></para>
+        url="&patches-root;&util-linux-gcc4_fixes-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-gcc4_fixes-patch-md5;</literal></para>
       </listitem>
@@ -272,5 +272,5 @@
       <term>Util-linux Missing Header Patch - <token>&util-linux-missing_header-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-missing_header-patch;"/></para>
+        url="&patches-root;&util-linux-missing_header-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-missing_header-patch-md5;</literal></para>
       </listitem>
@@ -281,5 +281,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;vim/&vim-fixes-patch;"/></para>
+        url="&patches-root;&vim-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&vim-fixes-patch-md5;</literal></para>
       </listitem>
@@ -289,5 +289,5 @@
       <term>Zlib fPIC Patch - <token>&zlib-fpic-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;zlib/&zlib-fpic-patch;"/></para>
+        url="&patches-root;&zlib-fpic-patch;"/></para>
         <para>MD5 sum: <literal>&zlib-fpic-patch-md5;</literal></para>
       </listitem>
Index: materials/mips/patches.xml
===================================================================
--- materials/mips/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/mips/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;dvhtool/&dvhtool-fixes-patch;"/></para>
+        url="&patches-root;&dvhtool-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&dvhtool-fixes-patch-md5;</literal></para>
       </listitem>
@@ -26,5 +26,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;expect/&expect-config_update-patch;"/></para>
+        url="&patches-root;&expect-config_update-patch;"/></para>
         <para>MD5 sum: <literal>&expect-config_update-patch-md5;</literal></para>
       </listitem>
@@ -35,5 +35,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;file/&file-config_update-patch;"/></para>
+        url="&patches-root;&file-config_update-patch;"/></para>
         <para>MD5 sum: <literal>&file-config_update-patch-md5;</literal></para>
       </listitem>
@@ -48,5 +48,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;glibc/&glibc-mips-patch;"/></para>
+        url="&patches-root;&glibc-mips-patch;"/></para>
         <para>MD5 sum: <literal>&glibc-mips-patch-md5;</literal></para>
       </listitem>
@@ -57,5 +57,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;grep/&grep-config_update-patch;"/></para>
+        url="&patches-root;&grep-config_update-patch;"/></para>
         <para>MD5 sum: <literal>&grep-config_update-patch-md5;</literal></para>
       </listitem>
@@ -66,5 +66,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;linux/&linux-mips-patch;"/></para>
+        url="&patches-root;&linux-mips-patch;"/></para>
         <para>MD5 sum: <literal>&linux-mips-patch-md5;</literal></para>
       </listitem>
@@ -75,5 +75,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;mktemp/&mktemp-update-patch;"/></para>
+        url="&patches-root;&mktemp-update-patch;"/></para>
         <para>MD5 sum: <literal>&mktemp-update-patch-md5;</literal></para>
       </listitem>
Index: materials/mips64/patches.xml
===================================================================
--- materials/mips64/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/mips64/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -20,5 +20,5 @@
       <term>Colo Make Patch - <token>&colo-make-patch-size;</token>:</term> <listitem>
         <para>Download: <ulink
-        url="&patches-root;colo/&colo-make-patch;"/></para>
+        url="&patches-root;&colo-make-patch;"/></para>
         <para>MD5 sum: <literal>&colo-make-patch-md5;</literal></para>
       </listitem>
@@ -73,5 +73,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;util-linux/&util-linux-mips64-patch;"/></para>
+        url="&patches-root;&util-linux-mips64-patch;"/></para>
         <para>MD5 sum: <literal>&util-linux-mips64-patch-md5;</literal></para>
       </listitem>
Index: materials/ppc/patches.xml
===================================================================
--- materials/ppc/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/ppc/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -21,5 +21,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;powerpc-utils/&powerpcutils-patch;"/></para>
+        url="&patches-root;&powerpcutils-patch;"/></para>
         <para>MD5 sum: <literal>&powerpcutils-patch-md5;</literal></para>
       </listitem>
@@ -30,5 +30,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;yaboot/&yaboot-fix-patch;"/></para>
+        url="&patches-root;&yaboot-fix-patch;"/></para>
         <para>MD5 sum: <literal>&yaboot-fix-patch-md5;</literal></para>
       </listitem>
@@ -39,5 +39,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;yaboot/&yaboot-ofpath_path-patch;"/></para>
+        url="&patches-root;&yaboot-ofpath_path-patch;"/></para>
         <para>MD5 sum: <literal>&yaboot-ofpath_path-patch-md5;</literal></para>
       </listitem>
@@ -48,5 +48,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;yaboot/&yaboot-sata-patch;"/></para>
+        url="&patches-root;&yaboot-sata-patch;"/></para>
         <para>MD5 sum: <literal>&yaboot-sata-patch-md5;</literal></para>
       </listitem>
Index: materials/ppc64/patches.xml
===================================================================
--- materials/ppc64/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/ppc64/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -21,5 +21,5 @@
       <listitem>
         <para>Download: <ulink
-	url="&patches-root;gcc/&gcc-nof-patch;"/></para>
+	url="&patches-root;&gcc-nof-patch;"/></para>
 	<para>MD5 sum: <literal>&gcc-nof-patch-md5;</literal></para>
       </listitem>
@@ -38,5 +38,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;powerpc-utils/&powerpcutils64-patch;"/></para>
+        url="&patches-root;&powerpcutils64-patch;"/></para>
         <para>MD5 sum: <literal>&powerpcutils64-patch-md5;</literal></para>
       </listitem>
@@ -62,2 +62,3 @@
 
 </sect1>
+
Index: materials/sparc/patches.xml
===================================================================
--- materials/sparc/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/sparc/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;elftoaout/&elftoaout-fixes-patch;"/></para>
+        url="&patches-root;&elftoaout-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&elftoaout-fixes-patch-md5;</literal></para>
       </listitem>
@@ -26,5 +26,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-sparc_tls-patch;"/></para>
+        url="&patches-root;gcc-sparc_tls-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-sparc_tls-patch-md5;</literal></para>
       </listitem>
@@ -39,5 +39,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;kbd/&kbd-sparc_kbdrate-patch;"/></para>
+        url="&patches-root;&kbd-sparc_kbdrate-patch;"/></para>
         <para>MD5 sum: <literal>&kbd-sparc_kbdrate-patch-md5;</literal></para>
       </listitem>
@@ -48,5 +48,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;silo/&silo-fixes-patch;"/></para>
+        url="&patches-root;&silo-fixes-patch;"/></para>
         <para>MD5 sum: <literal>&silo-fixes-patch-md5;</literal></para>
       </listitem>
Index: materials/x86/patches.xml
===================================================================
--- materials/x86/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/x86/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;coreutils/&coreutils-x86_uname-patch;"/></para>
+        url="&patches-root;&coreutils-x86_uname-patch;"/></para>
         <para>MD5 sum: <literal>&coreutils-x86_uname-patch-md5;</literal></para>
       </listitem>
@@ -26,5 +26,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-specs-patch;"/></para>
+        url="&patches-root;&gcc-specs-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-specs-patch-md5;</literal></para>
       </listitem>
@@ -35,5 +35,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;grub/&grub-disk-patch;"/></para>
+        url="&patches-root;&grub-disk-patch;"/></para>
         <para>MD5 sum: <literal>&grub-disk-patch-md5;</literal></para>
       </listitem>
Index: materials/x86_64-64/patches.xml
===================================================================
--- materials/x86_64-64/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/x86_64-64/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;bin86/&bin86-x86_64-patch;"/></para>
+        url="&patches-root;&bin86-x86_64-patch;"/></para>
         <para>MD5 sum: <literal>&bin86-x86_64-patch-md5;</literal></para>
       </listitem>
@@ -30,5 +30,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-pure64-patch;"/></para>
+        url="&patches-root;&gcc-pure64-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-pure64-patch-md5;</literal></para>
       </listitem>
@@ -39,5 +39,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;gcc/&gcc-specs_pure64-patch;"/></para>
+        url="&patches-root;&gcc-specs_pure64-patch;"/></para>
         <para>MD5 sum: <literal>&gcc-specs_pure64-patch-md5;</literal></para>
       </listitem>
@@ -48,5 +48,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;lilo/&lilo-cross-x86_64-patch;"/></para>
+        url="&patches-root;&lilo-cross-x86_64-patch;"/></para>
         <para>MD5 sum: <literal>&lilo-cross-x86_64-patch-md5;</literal></para>
       </listitem>
Index: materials/x86_64/patches.xml
===================================================================
--- materials/x86_64/patches.xml	(revision cf9220135173fd4edb049accf9fad8709aa7922a)
+++ materials/x86_64/patches.xml	(revision 471de2fa29c9d2a068858bf4d9883bb835c6d66b)
@@ -17,5 +17,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;binutils/&binutils-multilib-patch;"/></para>
+        url="&patches-root;&binutils-multilib-patch;"/></para>
         <para>MD5 sum: <literal>&binutils-multilib-patch-md5;</literal></para>
       </listitem>
@@ -34,5 +34,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;perl/&perl-multilib-patch;"/></para>
+        url="&patches-root;&perl-multilib-patch;"/></para>
         <para>MD5 sum: <literal>&perl-multilib-patch-md5;</literal></para>
       </listitem>
@@ -43,5 +43,5 @@
       <listitem>
         <para>Download: <ulink
-        url="&patches-root;perl/&perl-lib64-patch;"/></para>
+        url="&patches-root;&perl-lib64-patch;"/></para>
         <para>MD5 sum: <literal>&perl-lib64-patch-md5;</literal></para>
       </listitem>